package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 党员管理对象 szxc_dy_manage
 * 
 * @author hs
 * @date 2024-03-22
 */
public class SzxcDyManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 居民id */
    @Excel(name = "居民id")
    private Long jmId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String cardId;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 籍贯 */
    @Excel(name = "籍贯")
    private String jg;

    /** 入党时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入党时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date joinDate;

    /** 入党单位 */
    @Excel(name = "入党单位")
    private String joinUnit;

    /** 职务 */
    @Excel(name = "职务")
    private String post;

    /** 分类 */
    @Excel(name = "分类")
    private String type;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setJmId(Long jmId) 
    {
        this.jmId = jmId;
    }

    public Long getJmId() 
    {
        return jmId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCardId(String cardId) 
    {
        this.cardId = cardId;
    }

    public String getCardId() 
    {
        return cardId;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setJg(String jg) 
    {
        this.jg = jg;
    }

    public String getJg() 
    {
        return jg;
    }
    public void setJoinDate(Date joinDate) 
    {
        this.joinDate = joinDate;
    }

    public Date getJoinDate() 
    {
        return joinDate;
    }
    public void setJoinUnit(String joinUnit) 
    {
        this.joinUnit = joinUnit;
    }

    public String getJoinUnit() 
    {
        return joinUnit;
    }
    public void setPost(String post) 
    {
        this.post = post;
    }

    public String getPost() 
    {
        return post;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jmId", getJmId())
            .append("name", getName())
            .append("cardId", getCardId())
            .append("phone", getPhone())
            .append("deptName", getDeptName())
            .append("deptId", getDeptId())
            .append("jg", getJg())
            .append("joinDate", getJoinDate())
            .append("joinUnit", getJoinUnit())
            .append("post", getPost())
            .append("type", getType())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("userId", getUserId())
            .toString();
    }
}
